Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2231)

Issue 23004010: Pull out Effect Shaders in GPU Path Renderer (Closed)

Created:
6 years ago by egdaniel
Modified:
6 years ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Pull out Effect Shaders in GPU Path Renderer Move the effects in HairLinePathRender (and eventually others into their own class called GrBezierEffects. This will allow for more sharing of code between different path renderers on GPU. BUG= Committed: http://code.google.com/p/skia/source/detail?r=10877 Committed: http://code.google.com/p/skia/source/detail?r=10884

Patch Set 1 #

Total comments: 10

Patch Set 2 : Plum Enums, Check Derivs #

Total comments: 4

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Patch Set 7 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+680 lines, -346 lines) Patch
M gyp/gpu.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M src/gpu/GrAAHairLinePathRenderer.cpp View 1 2 3 4 5 3 chunks +7 lines, -345 lines 0 comments Download
M src/gpu/GrPathUtils.cpp View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A src/gpu/effects/GrBezierEffect.h View 1 2 1 chunk +253 lines, -0 lines 0 comments Download
A src/gpu/effects/GrBezierEffect.cpp View 1 2 3 4 5 6 1 chunk +417 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
egdaniel
Here's the first version of having a separate effects class for the path shaders. Just ...
6 years ago (2013-08-21 19:48:32 UTC) #1
bsalomon
https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h File src/gpu/effects/GrBezierEffect.h (right): https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h#newcode13 src/gpu/effects/GrBezierEffect.h:13: enum BezierEffectType { I'm wondering if there is something ...
6 years ago (2013-08-21 20:04:38 UTC) #2
bsalomon
https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h File src/gpu/effects/GrBezierEffect.h (right): https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h#newcode65 src/gpu/effects/GrBezierEffect.h:65: static GrEffectRef* Create(BezierEffectType effectType) { Do we need to ...
6 years ago (2013-08-21 20:11:29 UTC) #3
egdaniel
https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h File src/gpu/effects/GrBezierEffect.h (right): https://codereview.chromium.org/23004010/diff/1/src/gpu/effects/GrBezierEffect.h#newcode13 src/gpu/effects/GrBezierEffect.h:13: enum BezierEffectType { I say either GrBezierEdgeType or Style...wish ...
6 years ago (2013-08-21 20:18:06 UTC) #4
egdaniel
6 years ago (2013-08-21 21:48:37 UTC) #5
bsalomon
lgtm with a few minor comments. I would use the enum as a member of ...
6 years ago (2013-08-22 13:01:43 UTC) #6
egdaniel
Small change to flip orientation of cubic loops. Also I may need another lgtm since ...
6 years ago (2013-08-22 14:55:51 UTC) #7
bsalomon
On 2013/08/22 14:55:51, egdaniel wrote: > Small change to flip orientation of cubic loops. Also ...
6 years ago (2013-08-22 14:57:42 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/egdaniel@google.com/23004010/1005
6 years ago (2013-08-22 17:18:53 UTC) #9
commit-bot: I haz the power
Change committed as 10877
6 years ago (2013-08-22 17:31:12 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/egdaniel@google.com/23004010/30001
6 years ago (2013-08-22 20:22:41 UTC) #11
commit-bot: I haz the power
6 years ago (2013-08-22 20:41:29 UTC) #12
Message was sent while issue was closed.
Change committed as 10884

Powered by Google App Engine
This is Rietveld 408576698